{% extends 'base.html' %}

{% block content %}

<div class="content">
    <h3>Estante</h3>
    {% for bookshelf in page_obj %}
    {% include 'bookshelves/partials/bookshelf_widget.html' with bookshelf=bookshelf %}
    {% endfor %}

    <div class="pagination">
    <span class="step-links">
        {% if page_obj.has_previous %}
            <a href="?page=1">&laquo; Início</a>
            <a href="?page={{ page_obj.previous_page_number }}">Anterior</a>
        {% endif %}

        <span class="current">
            Página {{ page_obj.number }} de {{ page_obj.paginator.num_pages }}.
        </span>

        {% if page_obj.has_next %}
            <a href="?page={{ page_obj.next_page_number }}">Próxima</a>
            <a href="?page={{ page_obj.paginator.num_pages }}">Última &raquo;</a>
        {% endif %}
    </span>
    </div>

</div>

{% endblock %}